## python-yolink-api 0.5.2

=== requirements.txt ===
setuptools==58.1.0
aiohttp>=3.8.1
pydantic>=1.9.0
aiomqtt>=2.0.0
tenacity>=8.1.0

## python-yolink-api 0.4.7

=== debian/changelog ===
python-yolink-api (0.4.7-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 13 Aug 2024 09:24:09 +0100

python-yolink-api (0.4.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1077376)

 -- Edward Betts <edward@4angle.com>  Mon, 29 Jul 2024 12:23:18 +0900

=== debian/control ===
Source: python-yolink-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/YoSmart-Inc/yolink-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api.git

Package: python3-yolink-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to authenticate with YoLink devices
 This library enables communication with YoLink devices, providing methods for
 authenticating and interacting with various YoLink devices. It supports a wide
 range of devices, including sensors, switches, and controllers. Users can
 manage device states, receive real-time updates, and perform actions such as
 controlling thermostats, door sensors, and water leak detectors. The library
 connects to YoLink's cloud service to facilitate communication and ensure up-
 to-date device information.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=yolink-api


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf yolink_api.egg-info/


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-yolink-api-$1\.tar\.gz/ \
  https://github.com/YoSmart-Inc/yolink-api/tags .*/v?(\d\S+)\.tar\.gz

## python-yolink-api 0.4.8

=== debian/changelog ===
python-yolink-api (0.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 01 Mar 2025 08:52:19 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/YoSmart-Inc/yolink-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api.git

## python-yolink-api 0.5.1

=== debian/changelog ===
python-yolink-api (0.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sat, 05 Apr 2025 15:11:51 +0100

## python-yolink-api 0.5.2

=== debian/changelog ===
python-yolink-api (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 19 Apr 2025 06:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/YoSmart-Inc/yolink-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api.git

## python-yolink-api 0.5.4

=== debian/changelog ===
python-yolink-api (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 31 May 2025 08:22:32 -0500

## python-yolink-api 0.5.7

=== debian/changelog ===
python-yolink-api (0.5.7-1) experimental; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 19 Jul 2025 15:58:32 +0200

python-yolink-api (0.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 30 Jun 2025 19:39:58 +0100

## python-yolink-api 0.5.8

=== debian/changelog ===
python-yolink-api (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now needs setuptools version 77 or later.

 -- Edward Betts <edward@4angle.com>  Wed, 13 Aug 2025 15:08:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-setuptools,
+ python3-setuptools (>= 77.0),
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/YoSmart-Inc/yolink-api

=== debian/watch ===
version=4
https://github.com/YoSmart-Inc/yolink-api/tags .*/v?(\d\S+)\.tar\.gz

## python-yolink-api 0.6.0

=== debian/changelog ===
python-yolink-api (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Dec 2025 07:43:51 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools (>= 77.0),
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/YoSmart-Inc/yolink-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api

=== debian/watch ===
Version: 5

Template: Github
Owner: YoSmart-Inc
Project: yolink-api

## python-yolink-api 0.6.1

=== debian/changelog ===
python-yolink-api (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Jan 2026 11:45:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools (>= 77.0),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/YoSmart-Inc/yolink-api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-yolink-api.git
